<?php

namespace xenarabia\BestAnswer\XF\Widget;

class Latest10Questions extends \XF\Widget\AbstractWidget
{
	

    public function render()
    {
    	$options = \XF::options();
    	$limit = $options->ba_widget_no;

		$node_id = $options->ba_forums;
		$threads = \XF::finder('XF:Thread')
		->where('node_id', $node_id)
		->where('xena_post_ba', '<>', 0)
		->order('thread_id', 'DESC')
		->limit($limit)->fetch();

    	$viewParams = [
    		'last10threads' => $threads
    	];

		// \XF::dump($threads);
        return $this->renderer('widget_last_10_questions', $viewParams);
    }

    public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = null)
	{
		$options = $request->filter([
			'limit' => 'uint'
		]);

		return true;
	}
}
